### Method

# Camel NetworkService can_reach

since: 3.12

#### Declaration [src]

    void
    camel_network_service_can_reach (
      CamelNetworkService* service,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously attempts to determine whether or not the host described by `service`‘s `CamelNetworkService:connectable` property can be reached, without actually trying to connect to it.

For more details, see camel_network_service_can_reach_sync().

When the operation is finished, `callback` will be called. You can then call `camel_network_service_can_reach_finish()` to get the result of the operation.

Available since: 3.12

This method completes asynchronously. Use `camel_network_service_can_reach_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.